SMTPD(8)

NAME
smtpd - Simple Mail Transfer Protocol daemon

SYNOPSIS
smtpd [-dFhnv] [-D macro=value] [-f file] [-P system] [-T trace]

DESCRIPTION
smtpd is a Simple Mail Transfer Protocol (SMTP) daemon which can be used as a machine's primary mail system. smtpd can listen on a network interface and handle SMTP transactions; it can also be fed messages through the standard sendmail(8) interface. It can relay messages through remote mail transfer agents or store them locally using either the mbox or maildir format. This implementation supports SMTP as defined by RFC 5321 as well as several extensions. A running smtpd can be controlled through smtpctl(8).

The options are as follows:

-D macro=value
    Define macro to be set to value on the command line. Overrides the definition of macro in the configuration file.

-d  Do not daemonize. If this option is specified, smtpd will run in the foreground and log to stderr.

-F  Do not daemonize. If this option is specified, smtpd will run in the foreground and log to syslogd(8).

-f file
    Specify an alternative configuration file.

-h  Display version and usage.

-n  Configtest mode. Only check the configuration file for validity.

-P system
    Pause a specific subsystem at startup. Normal operation can be resumed using smtpctl(8). This option can be used multiple times. The accepted values are:

    mda Do not schedule local deliveries.
    mta Do not schedule remote transfers.
    smtp
        Do not listen on SMTP sockets.

-T trace
    Enables real-time tracing at startup. Normal operation can be resumed using smtpctl(8). This option can be used multiple times. The accepted values are:

    •   imsg
    •   io
    •   smtp (incoming sessions)
    •   filters
    •   transfer (outgoing sessions)
    •   bounce
    •   scheduler
    •   expand (aliases/virtual/forward expansion)
    •   lookup (user/credentials lookups)
    •   stat
    •   rules (matched by incoming sessions)
    •   mproc
    •   all

-v  Produce more verbose output.

FILES
/etc/mail/mailname
    Alternate server name to use.
/etc/mail/smtpd.conf
    Default smtpd configuration file.
/var/run/smtpd.sock
    UNIX-domain socket used for communication with smtpctl(8).
/var/spool/smtpd/
    Spool directories for mail during processing.
~/.forward
    User email forwarding information.

SEE ALSO
forward(5), smtpd.conf(5), mailwrapper(8), smtpctl(8)

STANDARDS
J. Klensin, October 2008, RFC 5321, Simple Mail Transfer Protocol.

HISTORY
The smtpd program first appeared in OpenBSD 4.6.